#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [ ]

test_requirements = ['pytest>=3', ]

setup(
    author="Aria Bagheri",
    author_email='ariab9342@gmail.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Python sdk for downloading/uploading to ufile.io both as a guest and with an API key",
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='python_ufile',
    name='python_ufile',
    packages=find_packages(include=['python_ufile', 'python_ufile.*']),
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/AriaBagheri/python_ufile',
    version='0.1.0',
    zip_safe=False,
)
